Ask Your Question
0

Fedora 20 system update failure for `initscripts` and `selinux-policy-targeted` [closed]

asked 2014-01-20 19:27:13 -0600

riclags gravatar image

updated 2014-09-28 11:58:18 -0600

mether gravatar image

I'm relatively new to Fedora and already I've had 2 issues with system updates in a span of 5 days! I'm starting to doubt if I want to continue using it (and I do want to continue using it) because I didn't experience any issues with system updates with Debian/*buntu before. Anyway...

$ sudo yum check-update
Loaded plugins: langpacks, refresh-packagekit

initscripts.x86_64                    9.51-1.fc20            updates
selinux-policy-targeted.noarch        3.12.1-117.fc20        updates
Security: kernel-3.12.8-300.fc20.x86_64 is an installed security update
Security: kernel-3.12.7-300.fc20.x86_64 is the currently running version

So, I do the yum update, initscripts and selinux-policy-targeted fail.

$ sudo yum update
...
Running transaction
error: %pre(initscripts-9.51-1.fc20.x86_64) scriptlet failed, exit status 127
Error in PREIN scriptlet in rpm package initscripts-9.51-1.fc20.x86_64
error: initscripts-9.51-1.fc20.x86_64: install failed
error: %pre(selinux-policy-targeted-3.12.1-117.fc20.noarch) scriptlet failed, exit status 127
Error in PREIN scriptlet in rpm package selinux-policy-targeted-3.12.1-117.fc20.noarch
initscripts-9.50-1.fc20.x86_64 was supposed to be removed but is not!
  Verifying  : initscripts9.50-1.fc20.x86_64                                                 1/4
  Verifying  : selinux-policy-targeted-.12.1-117.fc20.noarch                                 2/4
selinux-policy-targeted-3.12.1-116.fc20.noarch was supposed to be removed but is not!
  Verifying  : selinux-policy-targeted-.12.1-116.fc20.noarch                                 3/4
  Verifying  : initscripts-.51-1.fc20.x86_64                                                 4/4

Failed:
  initscripts.x86_64 0:9.50-1.fc20                  initscripts.x86_64 0:9.51-1.fc20
  selinux-policy-targeted.noarch 0:3.12.1-116.fc20  selinux-policy-targeted.noarch 0:3.12.1-117.fc20

Complete!

Questions

  1. During boot, I can't see kernel-3.12.8-300... as an option from the boot loader. I've read from other posts that to update boot loader, I have to run grub2 mkconfig -o /boot/grub2/grub.cfg but I am running Fedora 20 with EFI so I haven't tried this as it may muck up my system. How do I add the 3.12.8-300 kernel as an option to my boot loader if I'm on EFI?

  2. Is there anything I need to do to fix the issues with initscripts and selinux-policy-targeted for them to get installed? Being new to Fedora, I don't understand the %pre, PREIN and exit status 127 errors being thrown by the updater.

Thanks.

edit retag flag offensive reopen merge delete

Closed for the following reason duplicate question by mether
close date 2014-01-20 20:07:11.357286

1 Answer

Sort by ยป oldest newest most voted
0

answered 2014-01-20 20:06:43 -0600

mether gravatar image
edit flag offensive delete link more

Comments

This resolved the `initscripts` and `selinux-policy-targeted` issue but I had to remove `kernel-3.12.8-300...` and do an update again to get it reinstalled; `yum reinstall kernel\*3.12.8-300\*` didn't work for me. But I think everything is updated now. Thanks for the quick response.

riclags gravatar imagericlags ( 2014-01-20 23:54:19 -0600 )edit

Question Tools

1 follower

Stats

Asked: 2014-01-20 19:27:13 -0600

Seen: 2,682 times

Last updated: Jan 20 '14